crashpad::CPUContextARM Struct Reference

A context structure carrying ARM CPU state. More...

`#include "snapshot/cpu_context.h"`

## Public Attributes

uint32_t | regs [11]
uint32_t | fp
uint32_t | ip
uint32_t | sp
uint32_t | lr
uint32_t | pc
uint32_t | cpsr
struct {
struct fp_reg {
uint32_t sign1: 1
uint32_t unused: 15
uint32_t sign2: 1
uint32_t exponent: 14
uint32_t j: 1
uint32_t mantissa1: 31
uint32_t mantisss0: 32
} fpregs [8]
uint32_t fpsr: 32
uint32_t fpcr: 32
uint8_t type [8]
uint32_t init_flag
} | fpa_regs
struct {
uint64_t vfp [32]
uint32_t fpscr
} | vfp_regs
bool | have_fpa_regs
bool | have_vfp_regs

## Detailed Description

A context structure carrying ARM CPU state.

The documentation for this struct was generated from the following file:

- snapshot/cpu_context.h